package ru.dbotthepony.mc.otm.capability;

import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.item.ItemStack;
import net.minecraftforge.common.capabilities.ICapabilityProvider;
import ru.dbotthepony.mc.otm.network.AndroidCapabilityChangePacket;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;

public interface IAndroidCapability extends  IMatteryEnergyStorage {
	void tick();
	void tickClient();
	LivingEntity getEntity();

	@Nonnull
	ItemStack getBatteryItemStack();
	void setBatteryItemStack(@Nonnull ItemStack stack);

	// networking
	AndroidCapabilityChangePacket writeChanges();
	void readChanges(AndroidCapabilityChangePacket packet);
}
